Автор Тема: обновление ALT Virtualization Server 10.1 (Actinoform) - conflicts  (Прочитано 230 раз)

Оффлайн user_zsk

  • Начинающий
  • *
  • Сообщений: 1
apt-get update
apt-get dist-upgrade
....
после:
The following packages will be upgraded
  btrfs-progs libusb zfs-utils
The following NEW packages will be installed:
  libzfs#2.1.5-alt1:p10+306423.100.3.1@1663074015 zfs-zed#2.1.5-alt1:p10+306423.100.3.1@1663074015
3 upgraded, 2 newly installed, 0 removed and 0 not upgraded.

сообщения:
file /lib64/libnvpair.so.3.0.0 from install of libzfs-2.1.5-alt1.x86_64 conflicts with file from package libzfs-2.1.0-alt2.x86_64
file /lib64/libuutil.so.3.0.0 from install of libzfs-2.1.5-alt1.x86_64 conflicts with file from package libzfs-2.1.0-alt2.x86_64
file /lib64/libzfs.so.4.1.0 from install of libzfs-2.1.5-alt1.x86_64 conflicts with file from package libzfs-2.1.0-alt2.x86_64
file /lib64/libzfs_core.so.3.0.0 from install of libzfs-2.1.5-alt1.x86_64 conflicts with file from package libzfs-2.1.0-alt2.x86_64
file /lib64/libzfsbootenv.so.1.0.0 from install of libzfs-2.1.5-alt1.x86_64 conflicts with file from package libzfs-2.1.0-alt2.x86_64
file /lib64/libzpool.so.5.0.0 from install of libzfs-2.1.5-alt1.x86_64 conflicts with file from package libzfs-2.1.0-alt2.x86_64
file /lib64/libnvpair.so.3.0.0 from install of libzfs-2.1.5-alt1.x86_64 conflicts with file from package libzfs-2.1.4-alt1.x86_64
file /lib64/libuutil.so.3.0.0 from install of libzfs-2.1.5-alt1.x86_64 conflicts with file from package libzfs-2.1.4-alt1.x86_64
.....
.....
file /sbin/zed from install of zfs-zed-2.1.5-alt1.x86_64 conflicts with file from package zfs-zed-2.1.4-alt1.x86_64
file /usr/libexec/zfs/zpool_influxdb from install of zfs-zed-2.1.5-alt1.x86_64 conflicts with file from package zfs-zed-2.1.4-alt1.x86_64
E: Error while running transaction
« Последнее редактирование: 15.09.2022 05:23:39 от ruslandh »

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 31 509
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Это в багзилу, или в рассылку Сизифа. Я не думаю, что мантейнер пакета читает форум

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 31 509
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Решение стандартно :

rpm -e --nodeps zfs-zed-2.1.4
apt-get -f install